<template>
  <md-app md-waterfall md-mode="fixed">
    <md-app-toolbar class="md-primary">
      <md-button class="md-icon-button" @click="toggleMenu" aria-label="Menu">
        <md-icon>menu</md-icon>
      </md-button>
      <router-link id="main-title" class="md-title" tag="h1" :to="{ name: 'collections' }">Collections</router-link>
    </md-app-toolbar>

    <md-app-drawer :md-active.sync="menuVisible">
      <md-toolbar class="md-transparent" md-elevation="0">
        <span>Navigation</span>
      </md-toolbar>

      <md-list aria-label="Navigation">
        <md-list-item :to="{ name: 'collections' }">
          <md-icon aria-hidden="true">collections</md-icon>
          <span class="md-list-item-text">Collections</span>
        </md-list-item>
      </md-list>
    </md-app-drawer>

    <md-app-content>
      <router-view/>
    </md-app-content>
  </md-app>
</template>

<script>
import store from '@/store';

export default {
  data() {
    return {
      menuVisible: false,
    };
  },
  methods: {
    toggleMenu() {
      this.menuVisible = !this.menuVisible;
    },
  },
  created() {
    this.$store.commit('firebase/collections');
  },
};
</script>

<style lang="scss">
@import "~vue-material/dist/theme/engine";

@include md-register-theme("black-card", (
  primary: md-get-palette-color(black, 500)
));

@import "~vue-material/dist/base/theme";
@import "~vue-material/dist/components/MdCard/theme";

.md-app {
  height: 100%;
}

.md-app-content {
  padding: 0;
}

.md-empty-state {
  height: 100%;
}

.fab-container {
  position: fixed;
  right: 0;
  bottom: 0;
  padding: 16px;
  z-index: 100;
}

#main-title {
  cursor: pointer;
}
</style>
